From 322cf03dbb7aaf61109f89b44e03e6e9a8d6b3f8 Mon Sep 17 00:00:00 2001
From: Robert Haas <rhaas@postgresql.org>
Date: Wed, 20 Mar 2024 11:51:53 -0400
Subject: [PATCH v1 3/4] docs: Merge separate chapters on built-in index AMs
 into one.

The documetation index is getting very long, which makes it hard
to find things. Since these chapters are all very similar in structure
and content, merging them is a natural way of reducing the size of
the toplevel index.
---
 doc/src/sgml/brin.sgml       | 1344 --------
 doc/src/sgml/btree.sgml      |  914 ------
 doc/src/sgml/filelist.sgml   |    7 +-
 doc/src/sgml/gin.sgml        |  714 -----
 doc/src/sgml/gist.sgml       | 1387 ---------
 doc/src/sgml/hash.sgml       |  162 -
 doc/src/sgml/indextypes.sgml | 5597 ++++++++++++++++++++++++++++++++++
 doc/src/sgml/postgres.sgml   |    7 +-
 doc/src/sgml/spgist.sgml     | 1076 -------
 9 files changed, 5599 insertions(+), 5609 deletions(-)
 delete mode 100644 doc/src/sgml/brin.sgml
 delete mode 100644 doc/src/sgml/btree.sgml
 delete mode 100644 doc/src/sgml/gin.sgml
 delete mode 100644 doc/src/sgml/gist.sgml
 delete mode 100644 doc/src/sgml/hash.sgml
 create mode 100644 doc/src/sgml/indextypes.sgml
 delete mode 100644 doc/src/sgml/spgist.sgml

diff --git a/doc/src/sgml/filelist.sgml b/doc/src/sgml/filelist.sgml
index f39b4efe38..de683e3400 100644
--- a/doc/src/sgml/filelist.sgml
+++ b/doc/src/sgml/filelist.sgml
@@ -84,12 +84,7 @@
 <!ENTITY catalogs   SYSTEM "catalogs.sgml">
 <!ENTITY system-views  SYSTEM "system-views.sgml">
 <!ENTITY geqo       SYSTEM "geqo.sgml">
-<!ENTITY btree      SYSTEM "btree.sgml">
-<!ENTITY gist       SYSTEM "gist.sgml">
-<!ENTITY spgist     SYSTEM "spgist.sgml">
-<!ENTITY gin        SYSTEM "gin.sgml">
-<!ENTITY brin       SYSTEM "brin.sgml">
-<!ENTITY hash       SYSTEM "hash.sgml">
+<!ENTITY indextypes SYSTEM "indextypes.sgml">
 <!ENTITY planstats    SYSTEM "planstats.sgml">
 <!ENTITY tableam    SYSTEM "tableam.sgml">
 <!ENTITY indexam    SYSTEM "indexam.sgml">
diff --git a/doc/src/sgml/postgres.sgml b/doc/src/sgml/postgres.sgml
index 73b497bcf8..0235c0e352 100644
--- a/doc/src/sgml/postgres.sgml
+++ b/doc/src/sgml/postgres.sgml
@@ -257,12 +257,7 @@ break is not needed in a wider output rendering.
   &indexam;
   &generic-wal;
   &custom-rmgr;
-  &btree;
-  &gist;
-  &spgist;
-  &gin;
-  &brin;
-  &hash;
+  &indextypes;
   &storage;
   &transaction;
   &bki;
